html {/* SEE: Моноширинный шрифт для колхозного, но эффективного whitespace formatting. */
  /* font-family: -apple-system, BlinkMacSystemFont, Roboto, Helvetica, Arial, sans-serif; */
  font-family: -apple-system, Consolas, 'Courier New', BlinkMacSystemFont, Helvetica, Arial, sans-serif;
  /* SEE: Поплотнее сделаем таблички */
  /* line-height: 1.5; */
  line-height: 1.0;
  color: #24292e;}
body {
  /* Автор: предотвращение преждевременного сворачивания breadcrumbs на мобильных устройствах */
  min-width: 538px;
  margin: 0 0 20px 0;}
.hidden {
  display: none !important;}
.head {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  padding: 0.6em 1em;
  position: sticky;
  top: 0; background-color: white;}

.breadcrumb {
  font-size: 1.25em;
  padding-right: 0.6em;
  word-break: break-all;}
.breadcrumb>a {
  color: #000080;
  text-decoration: none;
  font-size: 1.25em;
  font-weight: bold;}
.breadcrumb #root { /* SEE: Стиль корня  */
  text-decoration: none;
  display: inline-block;
  text-align: center;
  /* width: 1em; */
  padding: 0px 4px 4px 4px;
  height: 1em;
  border: 3px solid #000080;
  background-color: #000080;
  color: #ffffff;
  border-radius:3px;
  user-select: none;}

.breadcrumb>a:hover {
  text-decoration: underline;}
.breadcrumb>b {
/* Автор: final breadcrumb */
 color: #24292e; font-size: 1.25em;}
.breadcrumb>.separator {
  color: #586069;
  padding: 0 0.25em;}
.breadcrumb svg {
  height: 100%;
  fill: rgba(3, 47, 98, 0.5);}

.toolbox {
  display: flex;
  margin-right: 10px;}
.toolbox>a, .toolbox>div {
  /* Автор: vertically align with breadcrumb text */
  height: 1.1rem;}
.toolbox .control {
  background-color: #000080;
  color: #ffffff;
  text-decoration: none;
  display: inline-block;
  text-align: center;
  font-weight: bold;
  width: 1em;
  height: 1em;
  margin: 0px 1px 0px 0px;
  border: 3px solid #000080;
  border-radius:3px;
  cursor: pointer;
  user-select: none;}

.upload-file input {
  display: none;}
.upload-file label {
  cursor: pointer;}

.searchbar {
  display: flex;
  flex-wrap: nowrap;
  width: 246px;
  height: 22px;
  background-color: #fafafa;
  transition: all .15s;
  border: 1px #ddd solid;
  border-radius: 15px;
  margin-bottom: 2px;}
.searchbar #search {
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  font-size: 16px;
  line-height: 16px;
  padding: 1px;
  background-color: transparent;
  border: none;
  outline: none;}
.searchbar .icon {
  color: #9a9a9a;
  padding: 3px 3px;
  cursor: pointer;}

.main {
  padding: 0 1em;}

.empty-folder {
  font-style: italic;}

.uploaders-table th, .paths-table th {
  text-align: left;
  font-weight: unset;
  color: #5c5c5c;
  white-space: nowrap;}
.uploaders-table td, .paths-table td {
  white-space: nowrap;}
.uploaders-table .cell-status {
  width: 80px;
  padding-left: 0.6em;}

.cell-status span {
  display: inline-block;}

.paths-table thead a {
  color: unset;
  text-decoration: none;}
.paths-table thead a>span {
  padding-left: 2px;}
.paths-table tbody tr:hover {
  background-color: #f0f0f0;}
.paths-table .cell-actions {
  width: 90px;
  display: flex;
  padding-left: 0.5em;}
.paths-table .cell-mtime {
  width: 120px;
  padding-left: 0.5em;
  font-variant-numeric: tabular-nums;}
.paths-table .cell-size {
  text-align: right;
  width: 70px;
  padding-left: 0.5em;
  font-variant-numeric: tabular-nums;}
.paths-table .cell-icon {
  text-align: right;
  font-weight: bold;}
.path svg {
  height: 16px;
  fill: rgba(3, 47, 98, 0.5);
  padding-right: 0.5em;
  vertical-align: text-top;}
.path {
  list-style: none;}
.path a {
  color: #000080;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: block;
  text-decoration: none;
  max-width: calc(100vw - 375px);
  min-width: 170px;}
.path a:hover {
  text-decoration: underline;}

.action-btn {
  padding: 2px 2px 2px 2px;
  margin: 0px 1px 0px 0px;
  text-decoration: none;
  text-align: center;
  display: inline-block;
  font-weight: bold;
  font-size: 0.8rem;
  width: 0.8em;
  height: 0.8em;
  border: 2px solid #000080;
  border-radius:2px;
  background-color: #000080;
  color: #ffffff;
  cursor: pointer;
  user-select: none;}
.action-btn>a {
  text-decoration: none;
  color: #ffffff;
  cursor: pointer;}

.uploaders-table {
  padding: 0.5em 0;}
.uploader {
  padding-right: 1em;}
.editor {
  width: 100%;
  height: calc(100vh - 5rem);
  border: 1px solid #ced4da;
  outline: none;
  padding: 5px;}
.toolbox-right {
  margin-left: auto;
  margin-right: 2em;}
.login-btn {
  color: #ffffff;
  font-size: 1.25rem;
  font-weight: bold;
  display: flex;
  align-items: center;
  cursor: pointer;}
.logout-btn {
  color: #ffffff;
  font-size: 1.25rem;
  font-weight: bold;
  display: flex;
  align-items: center;
  cursor: pointer;}
.user-name {
  padding-left: 3px;
  font-size: 1.0rem;
  display: inline-block;
  vertical-align: middle;
  color: #000080;}
.save-btn {
  text-decoration: none;
  display: inline-block;
  text-align: center;
  font-weight: bold;
  font-size: 1.5em;
  padding: 2px 0px 2px 0px;
  cursor: pointer;
  -webkit-user-select: none;
  user-select: none;}
.not-editable {
  font-style: italic;}
.retry-btn {
  cursor: pointer;}

@media (min-width: 768px) {
  .path a { min-width: 400px;}}
@media (prefers-color-scheme: dark) {
  /* Автор: dark theme */
  body { background-color: #000;}
  html, .breadcrumb>b,.searchbar #search {
    color: #fff;}
  .uploaders-table th, .paths-table th {
    color: #ddd;}
  svg, .path svg, .breadcrumb svg {
    fill: #fff;}
  .head {
    background-color: #111;}
  .searchbar {
    background-color: #111; border-color: #fff6;}
  .searchbar svg {
    fill: #fff6;}
  .path a {
    color: #3191ff;}
  .paths-table tbody tr:hover {
    background-color: #1a1a1a;}
  .editor {
    background: black; color: white;}
}